> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suave.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete a webhook subscription with the given ID.



## OpenAPI

````yaml DELETE /api/v1/webhook_subscription/{id}
openapi: 3.0.0
info:
  title: Suave API
  version: 0.0.1
servers:
  - url: https://checkout.suave.money
security: []
paths:
  /api/v1/webhook_subscription/{id}:
    delete:
      summary: Delete Webhook
      description: Delete a webhook subscription with the given ID.
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the webhook subscription
          schema:
            type: string
      responses:
        '200':
          description: Webhook subscription successfully deleted.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      ep_2k4ASjtW5byIvl9OSZcOl5ftxWl successfully deleted from
                      test mode.
                  data:
                    type: object
                    properties:
                      webhook_id:
                        type: string
                        description: ID of the deleted webhook subscription.
                        example: ep_2k4ASjtW5byIvl9OSZcOl5ftxWl
        '404':
          description: Webhook subscription not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: endpoint not found
                  code:
                    type: string
                    example: not_found
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Internal Server Error
                  code:
                    type: string
                    example: internal_server_error

````